#ifndef	__PWMIO_DRIVER_h__
#define	__PWMIO_DRIVER_h__
//==================================================================================
// The information contained herein is the exclusive property of
// Generalplus Technology Co. And shall not be distributed, reproduced,
// or disclosed in whole in part without prior written permission.
//       (C) COPYRIGHT 2009   Generalplus TECHNOLOGY CO.                            
//                   ALL RIGHTS RESERVED
// The entire notice above must be reproduced on all authorized copies.
//==================================================================================
//==================================================================================
// Name                  : PWMIO_Driver.h
// Applied Body          : GPL951
// Programmer            : 
// Description           : PWMIO driver header file
// History version       : 
// Rev #      Date         Who			Comments
// -----	 -----------   ---------	--------------------------------------------
// 1.0	      							Oringinal Version
//==================================================================================

//==========================================
// Include file area
//==========================================

//==========================================
// Constant define area
//==========================================
#define systemclock 96000000

#define PWMIO0	0x0100
#define PWMIO1	0x0200
#define PWMIO2	0x0400
#define PWMIO3	0x0800


//==========================================
// External declare area
//==========================================

//************************************************************//
//function : PWMIO_Initial
//Description : Initial PWMIO
//Parameter : none
//Return : none
//************************************************************//
extern void PWMIO_Initial(void);


//************************************************************//
//function : PWMIO_Duty_Setting
//Description : Set PWMIO Duty
//Parameter : PWMIO_Ch : PWMIO channel select, bit8~11 : PWMIO0~3 
//			  PWMIO_Duty : PWMIO duty setting
//Return : none
//************************************************************//
extern void PWMIO_Duty_Setting(unsigned int PWMIO_Ch, unsigned int PWMIO_Duty);


//************************************************************//
//function : PWMIO_Freq_Setting
//Description : Set PWMIO Frequency
//Parameter : PWMIO_Ch : PWMIO channel select, bit8~11 : PWMIO0~3 
//			  PWMIO_Freq : PWMIO frequency setting
//Return : none
//************************************************************//
extern void PWMIO_Freq_Setting(unsigned int PWMIO_Ch, unsigned int PWMIO_Freq);


//************************************************************//
//function : PWMIO_Start
//Description : Start PWMIO transmission
//Parameter : PWMIO_Ch : PWMIO select, bit8~11 : PWMIO0~3
//Return : none
//************************************************************//
extern void PWMIO_Start(unsigned int PWMIO_Ch);


//************************************************************//
//function : PWMIO_End
//Description : Start PWMIO transmission
//Parameter : PWMIO_Ch : PWMIO select, bit8~11 : PWMIO0~3
//Return : none
//************************************************************//
extern void PWMIO_Stop(unsigned int PWMIO_Ch);



#endif
