//==================================================================================
// The information contained herein is the exclusive property of
// Generalplus Technology Co. And shall not be distributed, reproduced,
// or disclosed in whole in part without prior written permission.
//       (C) COPYRIGHT 2009   Generalplus TECHNOLOGY CO.                            
//                   ALL RIGHTS RESERVED
// The entire notice above must be reproduced on all authorized copies.
//==================================================================================
//==================================================================================
// Name                  : PWMIO_Driver.inc
// Applied Body          : GPL951
// Programmer            : 
// Description           : PWMIO driver header file
// History version       : 
// Rev #      Date         Who			Comments
// -----	 -----------   ---------	--------------------------------------------
// 1.0	      							Oringinal Version
//==================================================================================

//==========================================
// Include file area
//==========================================

//==========================================
// Constant define area
//==========================================
systemclock	.EQU 96000000

PWMIO0	.EQU	0x0100
PWMIO1	.EQU	0x0200
PWMIO2	.EQU	0x0400
PWMIO3	.EQU	0x0800


//==========================================
// External declare area
//==========================================

//************************************************************//
//function : F_PWMIO_Initial
//Description : Initial PWMIO
//Parameter : none
//Return : none
//Destory : r1
//************************************************************//
.external F_PWMIO_Initial;


//************************************************************//
//function : F_PWMIO_Duty_Setting
//Description : Set PWMIO Duty
//Parameter : r1 : PWMIO select(High Byte), bit8~11 : PWMIO0~3
//			  r2 : PWMIO duty setting
//Return : none
//Destory : r1,r2
//************************************************************//
.external F_PWMIO_Duty_Setting;


//************************************************************//
//function : F_PWMIO_Freq_Setting
//Description : Set PWMIO Frequency
//Parameter : r1 : PWMIO select(High Byte), bit8~11 : PWMIO0~3
//			  r2 : PWMIO proload value
//Return : none
//Destory : r1,r2
//************************************************************//
.external F_PWMIO_Freq_Setting;


//************************************************************//
//function : F_PWMIO_Start
//Description : Start PWMIO transmission
//Parameter : r1 : PWMIO select(High Byte), bit8~113 : PWMIO0~3
//Return : none
//Destory : r1, r2
//************************************************************//
.external F_PWMIO_Start;


//************************************************************//
//function : F_PWMIO_End
//Description : End PWMIO transmission
//Parameter : r1 : PWMIO select(High Byte), bit8~11 : PWMIO0~3
//Return : none
//Destory : r1, r2
//************************************************************//
.external F_PWMIO_Stop;
